# /etc/autoupdate.d/autoupdate.conf
# This determines the default behavior.
#
# NOTE: Not all options are listed here!
#
# Please see the man page for a list of all options and further details. 

# How much output should we produce?
Verbose=1
Quiet=0
Warnings=1
# Warn about improper rpm names
RPMNameWarnings=1

#
# Options concerning the update part
#

# Should the update part be done by default?
# If set to 1, autodld will automatically upgrade all downloaded rpms.
# In addition, this also controls if rpms are automatically installed
# during get mode.
DoUpdate=1

# The directory where we should look for updates (the download part will
# store all new rpms in this directory by default) if none are given on the
# command line. If the directory ends in two slashes, all sub directories
# corresponding to architectures suitable for the system will be checked.
# Moreover, all downloaded rpms will be stored  according to architectures
# as well in this case.
UpdateDir=/var/spool/autoupdate
# The directory where we should look for new rpms to install (if invoked in
# install mode) if none are given on the command line. Defaults to UpdateDir.
#InstallDir=
# If you maintain your own distribution, where can the distribution rpms be
# found? If set, comparison during download will be made against these rpms
# otherwise against the installed ones.
RPMDir=

# Are there any rpms autoupdate should ignore during update? E.g., suse users
# will want to ignore packages starting with "k_". See the man page for details.
# (This will by default not affect downloads.)
#Exclude=^k_
#Include=

# Should new kernels be installed
DoKernel=0
# Which rpms should be considered as kernel rpms?
# By default rpms whose name are kernel or kernel-xxx with xxx form the list
# below will be considered as kernel rpms.
KernelExt=smp,enterprise,bigmem,debug,BOOT
# If a new kernel is installed, should it be added to the boot manager.
# This will probably only work on redhat systems.
DoBoot=0
# Which boot manager do you have (lilo and grub are supported)
#BootManager=lilo
# Should  a tag "-new" added to the new kernel? Otherwise, the tag "-old" will
# be added to your previous kernel and the new one will become your default
# boot image.
BootAddAsNew=0

# How many rpms should we keep?
# If set to 1, all rpms will be removed after they have been upgraded.
CleanUp=1
# If set to 1, old kernels will be uninstalled (your previous kernel
# will always be kept)
CleanUpKernel=1
# Remove bad rpms (e.g., incomplete downloads). It is off by default,
# since autoupdate will resume incomplete downloads.
RemoveBad=0
# If set to 1 (and CleanUp to 0), only the latest version of each rpm will
# be kept.
DoPurge=1
# If set to 1, rpm will be invoked with the repackage option. That is, backups
# of all upgraded rpms will be made, so that you can easily roll back to your
# previous version.
Repackage=0

# Should size, md5 or gpg signatures of packages be checked before update?
# The size will always be checked during download, such that incomplete
# downloads will be handled properly. 
CheckSize=0
CheckSig=0
CheckGPG=0
# Check that the old vendor string matches the new one (e.g., to avoid that
# official RedHat packages are overwritten by other packages)
CheckVendor=0

# Should dependency resolution be done?
Resolve=1

# Should we descend local directories recursively by default.
Recursive=0


# You can run a custom script, which will be invoked after new rpms have been
# installed. 
#PostUpdateScript=/sbin/SuSEconfig

#
# Options for the download part.
#

# Only download the rpm which matches your system best. E.g., if both an i386 and
# i686 version is available, download only the i686 version on an i686 computer.
# If you run it on a server from which other clients should get their updates,
# you should set this to 0.
BestMatch=1
# Consider installed rpms during download. This will be done automatically if
# no RPMDir is set. Otherwise you might not want this if you use a redhat 7.2
# box to download updates for your redhat 7.1 clients.
DldAddInstalled=1
# The following option is only relevant if you want to maintain an autoinfo
# file on a server for other autoupdate clients
# GenerateAutoInfo=0

# For which protocols should the LWP module be used? Add ftp if you want to do
# ftp over a http proxy (like squid)
#LWPProtocols=http,https
# Sould we use a proxy
#LWPProxy=http://proxy.my.org:3128/
# Dont use the proxy for this domain
#LWPNoProxy=my.org
# Do you have an ftp firewall (this is not the same as a htttp proxy like
# squid)
#FTPFirewall=ftpfirewall.my.org:21

# Should the include/exclude patterns for the upgrade part also be used during
# download? Please note that you can set up include/exclude patterns for each
# download site by putting them into the corresponding download configuration
# file. So most likely you don't want this option.
DldMatch=0
# Fix rpm names after downloading. That is, if the  filename  of a downloaded
# rpm is not of the form "name-version-release.arch.rpm", it will be renamed.
FixRPMNames=1
# You can run a custom script, which will be invoked after new rpms have been
# downloaded.
#PostDldScript=
# Use passive ftp by default
Passive=1
# Default user and password to use for ftp connections.
DefaultUser=anonymous
DefaultPass=`echo autoupdate@`hostname -f``
# The version of your distribution. The string "#DistVersion#" will be replaced
# by the one given here in all paths. So you don't have to change all your
# config files when you upgrade your distribution;-)
DistVersion=`/etc/autoupdate.d/distversion.sh`
DistName=`/etc/autoupdate.d/distname.sh`
#DistLang=en

#
# Options concerning the get part
#

# Should the download part be done during get (otherwise only UpdateDir and
# RPMDir will be searched)
DoDld=1

# If you want to select rpms by section names from a comps file, you need to
# fill in where the comps file is
#Comps=
# and maybe also which languages should be accepted when parsing the comps file
#Languages=en,de_AT


# Should we write a log file. If you set LogFile to "syslog" all logs will go
# to syslogd.
DoLog=1
#LogFile=

# Disable shell escapes in config files from now on (in particular, it will be off for
# all download configuration files)
ShellEscapes=0


